Package Details: xfce4-dockbarx-plugin 0.5-3

Git Clone URL: https://aur.archlinux.org/xfce4-dockbarx-plugin.git (read-only)
Package Base: xfce4-dockbarx-plugin
Description: Embed DockbarX in the xfce4-panel
Upstream URL: https://github.com/TiZ-EX1/xfce4-dockbarx-plugin
Licenses: X11
Conflicts: dockbarx-gtk3-git, xfce4-dockbarx-plugin-git
Submitter: twa022
Maintainer: twa022
Last Packager: twa022
Votes: 66
Popularity: 1.18
First Submitted: 2013-03-31 02:53
Last Updated: 2019-10-21 00:08

Latest Comments

1 2 Next › Last »

gargakumar commented on 2019-08-13 08:41

Can also confirm that uninstalling, restarting XFCE and reinstalling fixed the plugin after latest XFCE update.

Noammac commented on 2019-08-12 15:04

Can confirm that reinstallation works. Not sure why.

kzoli429 commented on 2019-08-12 12:39

Yes it really stopped. However, try to uninstall it, reboot, then reinstall. For me, it works again.

Noammac commented on 2019-08-12 12:34

Doesn't work after 4.14 update. According to following statement by developer, unless someone goes and fixes it, it won't be fixed for a long time: https://github.com/TiZ-EX1/xfce4-dockbarx-plugin/issues/35

gameslayer commented on 2019-07-09 16:23

[UPDATE]

Now works after the latest xfce4-panel update came out!

Fails to build

Checking xfce4-dockbarx-plugin dependencies...

Checking for 'libxfce4panel-1.0' >= 4.8 : not found The configuration failed (complete log in /var/tmp/pamac-build-corey/xfce4-dockbarx-plugin/src/xfce4-dockbarx-plugin/build/config.log) ==> ERROR: A failure occurred in build(). Aborting...

Silejonu commented on 2019-05-07 09:26

Hey, you should add "patch" as a dependency! =)

entidi commented on 2018-08-20 13:56

vala should be moved into makedepends. I am succesfully using it after having uninstalled vala forcibly.

freshgrass commented on 2017-11-09 13:27

Installed fine! Thank you! :-)

tinmice commented on 2017-01-25 17:20

on install:
Checking for 'gcc' (c compiler) : /usr/bin/gcc
Checking for program valac-0.8 : not found
Checking for program valac : /usr/bin/valac
Checking for valac version >= (0, 8, 0) : (0, 34, 4)
Checking for program dockx : /usr/bin/dockx
Checking for program pkg-config : /usr/bin/pkg-config
Checking for 'glib-2.0' >= 2.10 : yes
Checking for 'gtk+-2.0' >= 2.16 : yes
Checking for 'libxfce4panel-1.0' >= 4.8 : not found
The configuration failed
(complete log in /home/ben/.cache/pacaur/xfce4-dockbarx-plugin/src/xfce4-dockbarx-plugin-0.4.1/build/config.log)

and from the log:

Checking for program valac-0.8
not found
find program=['valac-0.8'] paths=['/usr/local/sbin', '/usr/local/bin', '/usr/bin', '/usr/lib/jvm/default/bin', '/usr/bin/site_perl', '/usr/bin/vendor_perl', '/usr/bin/core_perl'] var='VALAC' -> ''
from /home/ben/.cache/pacaur/xfce4-dockbarx-plugin/src/xfce4-dockbarx-plugin-0.4.1: Could not find the program valac-0.8

----------------------------------------
Checking for 'libxfce4panel-1.0' >= 4.8
['/usr/bin/pkg-config', '--atleast-version=4.8', 'libxfce4panel-1.0']
not found
from /home/ben/.cache/pacaur/xfce4-dockbarx-plugin/src/xfce4-dockbarx-plugin-0.4.1: The configuration failed

nfat commented on 2013-12-23 17:18

after makepkg -s command:
Waf: Leaving directory `/home/avni/xfce4-dockbarx-plugin/src/xfce4-dockbarx-plugin-0.2/build'
Build failed
-> task failed (exit status 1):
{task 35229904: c preferences.c -> preferences.c.1.o}
['/usr/bin/gcc', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector', '--param=ssp-buffer-size=4', '-fPIC', '-pthread', '-pthread', '-pthread', '-I/home/avni/xfce4-dockbarx-plugin/src/xfce4-dockbarx-plugin-0.2', '-I/home/avni/xfce4-dockbarx-plugin/src/xfce4-dockbarx-plugin-0.2/build', '-I/usr/include/glib-2.0', '-I/usr/lib/glib-2.0/include', '-I/usr/include/gtk-2.0', '-I/usr/lib/gtk-2.0/include', '-I/usr/include/pango-1.0', '-I/usr/include/atk-1.0', '-I/usr/include/cairo', '-I/usr/include/pixman-1', '-I/usr/include/libdrm', '-I/usr/include/libpng16', '-I/usr/include/gdk-pixbuf-2.0', '-I/usr/include/harfbuzz', '-I/usr/include/freetype2', '-I/usr/include/xfce4/libxfce4panel-1.0', '-I/usr/include/xfce4', '-DHAVE_GLIB=1', '-DHAVE_GTK=1', '-DHAVE_XFCE4PANEL=1', 'src/preferences.c', '-c', '-o', 'src/preferences.c.1.o']
-> task failed (exit status 1):
{task 35229776: c dockbarx.c -> dockbarx.c.1.o}
['/usr/bin/gcc', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector', '--param=ssp-buffer-size=4', '-fPIC', '-pthread', '-pthread', '-pthread', '-I/home/avni/xfce4-dockbarx-plugin/src/xfce4-dockbarx-plugin-0.2', '-I/home/avni/xfce4-dockbarx-plugin/src/xfce4-dockbarx-plugin-0.2/build', '-I/usr/include/glib-2.0', '-I/usr/lib/glib-2.0/include', '-I/usr/include/gtk-2.0', '-I/usr/lib/gtk-2.0/include', '-I/usr/include/pango-1.0', '-I/usr/include/atk-1.0', '-I/usr/include/cairo', '-I/usr/include/pixman-1', '-I/usr/include/libdrm', '-I/usr/include/libpng16', '-I/usr/include/gdk-pixbuf-2.0', '-I/usr/include/harfbuzz', '-I/usr/include/freetype2', '-I/usr/include/xfce4/libxfce4panel-1.0', '-I/usr/include/xfce4', '-DHAVE_GLIB=1', '-DHAVE_GTK=1', '-DHAVE_XFCE4PANEL=1', 'src/dockbarx.c', '-c', '-o', 'src/dockbarx.c.1.o']
==> HATA: build() içinde bir hata oluştu.
Çıkılıyor...